/// <reference types="react" />
import type { TableProps } from '@itwin/itwinui-react';
import type { FileRecord, SourceFilesInfo } from './report-data-typings';
import './DetailsTable.scss';
declare const defaultDisplayStrings: {
    Fatal: string;
    Error: string;
    Critical: string;
    Warning: string;
    Info: string;
    fileName: string;
    level: string;
    category: string;
    type: string;
    message: string;
    copyRow: string;
    moreOptions: string;
};
/**
 * DetailsTable should be shown when the details tab is active. It contains details about the synchronization issues.
 *
 * Localization is supported using the `displayStrings` prop, and custom icons can be specified using `fileTypeIcons`.
 * All of `Table` props from iTwinUI-react are also supported.
 */
export declare const DetailsTable: ({ fileRecords, sourceFilesInfo, fileTypeIcons: userFileTypeIcons, displayStrings: userDisplayStrings, className, ...rest }: {
    fileRecords?: FileRecord[] | undefined;
    sourceFilesInfo?: SourceFilesInfo | undefined;
    /** Icons to show before the file names. */
    fileTypeIcons?: Record<string, JSX.Element> | undefined;
    displayStrings?: Partial<{
        Fatal: string;
        Error: string;
        Critical: string;
        Warning: string;
        Info: string;
        fileName: string;
        level: string;
        category: string;
        type: string;
        message: string;
        copyRow: string;
        moreOptions: string;
    }> | undefined;
} & Partial<TableProps<Record<string, unknown>>>) => JSX.Element;
export default DetailsTable;
