/// <reference types="react" />
import { FileRecord, SourceFile } from './report-data-typings';
import './ReportBanner.scss';
declare const defaultDisplayStrings: {
    filesProcessed: string;
    filesFailedToSynchronize: string;
    synchronizationIssuesFound: string;
    errors: string;
    warnings: string;
    otherIssues: string;
    noSynchronizationIssuesFound: string;
};
export declare type ReportBannerProps = {
    fileRecords?: FileRecord[];
    filesProcessed?: SourceFile[];
    currentTab?: 'files' | 'details';
    className?: string;
    displayStrings?: Partial<typeof defaultDisplayStrings>;
};
/**
 * Shows an alert that should be located above the files and details tabs.
 * The alert shows counts for files processed as well as the issues and errors.
 */
export declare const ReportBanner: (props: ReportBannerProps) => JSX.Element;
export {};
