import * as React from 'react';
declare const defaultDisplayStrings: {
    files: string;
    details: string;
};
/**
 * `ReportTablist` shows the files and details tabs (only the tab selectors, not the panel content).
 * It should be used as a descendant of `Report`.
 *
 * Two `children` can be specified to show custom tab components.
 */
export declare const ReportTablist: ({ displayStrings: userDisplayStrings, children, className, ...rest }: {
    displayStrings?: Partial<{
        files: string;
        details: string;
    }> | undefined;
    children?: [React.ReactNode, React.ReactNode] | undefined;
    className?: string | undefined;
}) => JSX.Element;
export {};
